﻿local BMT_POPUP_FRAME_WIDTH_MIN = 100

-- okay popup window state (clicking Okay triggers further necessary steps)
-- 0 - none
-- 1 - incorrect (outdated) data structure, purges everything and reloads UI
BMTOkayWindowState = 0;

function BMTShowPopupWindowOkay(text)
	BMTPopupWindowOkay.Text:SetText(text);
	BMTPopupWindowOkay:Show();
	local textWidth = BMTPopupWindowOkay.Text:GetWidth();
	local width = textWidth + BMT_POPUP_FRAME_WIDTH_MIN;
	BMTPopupWindowOkay:SetWidth(width);
end

function BMTPopupOnClick_Okay()
	if BMTOkayWindowState == 1 then
		BMT_DeleteAllData();
	end
	BMTOkayWindowState = 0;
end

function BMTShowPopupWindowConfirm(text)
	BMTPopupWindowConfirm.Text:SetText(text);
	BMTPopupWindowConfirm:Show();
end

function BMTHideAllPopupWindows()
	if (BMTPopupWindowOkay:IsShown()) then
		BMTPopupWindowOkay:Hide();
	end
	if (BMTPopupWindowConfirm:IsShown()) then
		BMTPopupWindowConfirm:Hide();
	end
end

function BMTIsAnyPopupWindowShown()
	if (BMTPopupWindowOkay:IsShown() or BMTPopupWindowConfirm:IsShown()) then
		return true
	else
		return false
	end
end

function BMTMakeAllWindowsInteractive()
	--[[
	RRFrame:SetAlpha(1);
	RRFrame:SetToplevel(true);
	RRFrame:EnableMouse(true);
	RRFrame.CloseButton:EnableMouse(true);
	RRFrame.ColumnName:EnableMouse(true);
	RRFrame.ColumnRoll:EnableMouse(true);
	RRFrame.ColumnStatus:EnableMouse(true);
	RRFrame.RollButton:EnableMouse(true);
	RRFrame.LeaveButton:EnableMouse(true);
	RRFrame.ExpandButton:EnableMouse(true);
	local myName = UnitName("player");
	local buttons = RRScrollFrame.buttons;
	local numButtons = 0;
	if buttons ~= nil then
		numButtons = #buttons;
	end
	for i=1, numButtons do
		buttons[i]:EnableMouse(true);
	end
	]]
end

function BMTMakeAllWindowsNonInteractive()
	--[[
	if (RRFrame:IsShown()) then
		RRFrame:SetAlpha(0.5);
		RRFrame:SetToplevel(false);
		RRFrame:EnableMouse(false);
		RRFrame.CloseButton:EnableMouse(false);
		RRFrame.ColumnName:EnableMouse(false);
		RRFrame.ColumnRoll:EnableMouse(false);
		RRFrame.ColumnStatus:EnableMouse(false);
		RRFrame.RollButton:EnableMouse(false);
		RRFrame.LeaveButton:EnableMouse(false);
		RRFrame.ExpandButton:EnableMouse(false);
		if (RRFrame_IsExpanded()) then
			RRSideInset.StartButton:EnableMouse(false);
			RREditBoxRoomName:EnableMouse(false);
			RRRollTypeFFA:EnableMouse(false);
			RRRollTypeTurns:EnableMouse(false);
			RREditBoxRollFor:EnableMouse(false);
			RRMinDropDownMenuButton:EnableMouse(false);
			RRSecDropDownMenuButton:EnableMouse(false);
			RREditBoxInvitePlayer:EnableMouse(false);
		end
	end
	local buttons = RRScrollFrame.buttons;
	local numButtons = 0;
	if buttons ~= nil then
		numButtons = #buttons;
	end
	for i=1, numButtons do
		buttons[i]:EnableMouse(false);
	end
	]]
end
